Last Comment Bug 773326 - Inverted thread check in getJSToNativeConversionTemplate::onFailure
: Inverted thread check in getJSToNativeConversionTemplate::onFailure
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla17
Assigned To: :Ms2ger (⌚ UTC+1/+2)
:
Mentors:
Depends on:
Blocks: ParisBindings 756256
  Show dependency treegraph
 
Reported: 2012-07-12 09:55 PDT by :Ms2ger (⌚ UTC+1/+2)
Modified: 2012-08-04 18:41 PDT (History)
1 user (show)
ryanvm: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1023 bytes, patch)
2012-07-12 09:55 PDT, :Ms2ger (⌚ UTC+1/+2)
no flags Details | Diff | Splinter Review
Patch v1.1 (2.13 KB, patch)
2012-07-12 11:29 PDT, :Ms2ger (⌚ UTC+1/+2)
peterv: review+
Details | Diff | Splinter Review

Description :Ms2ger (⌚ UTC+1/+2) 2012-07-12 09:55:50 PDT
Created attachment 641510 [details] [diff] [review]
Patch v1
Comment 1 :Ms2ger (⌚ UTC+1/+2) 2012-07-12 11:29:31 PDT
Created attachment 641545 [details] [diff] [review]
Patch v1.1

Now with a test.
Comment 2 Peter Van der Beken [:peterv] - away till Aug 1st 2012-07-18 03:56:44 PDT
Comment on attachment 641545 [details] [diff] [review]
Patch v1.1

Review of attachment 641545 [details] [diff] [review]:
-----------------------------------------------------------------

Should probably try to get this on branches.
Comment 3 :Ms2ger (⌚ UTC+1/+2) 2012-08-04 01:54:02 PDT
Code was fixed in bug 776685, landed the test as:

https://hg.mozilla.org/mozilla-central/rev/67e0ec3563f6
Comment 4 Ed Morley [:emorley] 2012-08-04 11:29:46 PDT
Backed out with the mass tree revert to get rid of the OS X M5 orange:
https://hg.mozilla.org/mozilla-central/rev/c801b99d726f
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-08-04 13:35:52 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/393b9e4e7404
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-08-04 18:41:35 PDT
https://hg.mozilla.org/mozilla-central/rev/393b9e4e7404

Note You need to log in before you can comment on or make changes to this bug.